GWTextInternal::State Struct Reference

Internal: the state of a GWText. More...

## Public Member Functions

| State ()
| constructor More...
int | getFId (int fileId) const
| returns the font id corresponding to a fId More...

## Public Attributes

std::map< int, int > | m_fileIdFontIdMap
| a global map file font id-> fontconverter id More...
std::vector< Zone > | m_zonesList
| a list of text zone More...
int | m_version
| the file version More...
int | m_numPages

## Detailed Description

Internal: the state of a GWText.

## Constructor & Destructor Documentation

GWTextInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

int GWTextInternal::State::getFId | ( | int | fileId | ) | const

inline

returns the font id corresponding to a fId

## Member Data Documentation

std::map<int,int> GWTextInternal::State::m_fileIdFontIdMap

a global map file font id-> fontconverter id

Referenced by getFId().

int GWTextInternal::State::m_numPages

int GWTextInternal::State::m_version

mutable

the file version

std::vector<Zone> GWTextInternal::State::m_zonesList

a list of text zone

The documentation for this struct was generated from the following file:

- GWText.cxx